## XD-0.4.2.tar.gz

=== Makefile ===
REPO := $(shell dirname $(realpath $(lastword $(MAKEFILE_LIST))))
LOGOS = $(REPO)/contrib/logos
WEBUI_DIR = contrib/webui
WEBUI = ./$(WEBUI_DIR)
GO_ASSETS = $(REPO)/build-assets
DOCROOT = $(WEBUI)/docroot
WEBUI_LOGO = $(DOCROOT)/favicon.png
WEB_FILES = $(DOCROOT)/index.html
WEB_FILES += $(DOCROOT)/xd.min.js
WEB_FILES += $(DOCROOT)/xd.css
WEB_FILES += $(WEBUI_LOGO)
WEBUI_CORE  = $(DOCROOT)/xd.min.js
WEBUI_CORE += $(DOCROOT)/xd.css
WEBUI_PREFIX = /contrib/webui/docroot
ASSETS = $(REPO)/lib/rpc/assets/assets.go

TAGS ?= webui
LOKINET ?= 0
ifeq ($(LOKINET),1)
	TAGS += lokinet
endif

MKDIR = mkdir -p
RM = rm -f
CP = cp
CPLINK = cp -P
INSTALL = install
LINK = ln -s
CHMOD = chmod 

GIT_VERSION ?= $(shell test -e .git && git rev-parse --short HEAD || true)

ifdef GOROOT
	GO = $(GOROOT)/bin/go
else
	GO = $(shell which go)
endif

XD ?= XD
CLI ?= XD-CLI

build: $(CLI)


$(XD): webui
	$(GO) build -a -ldflags "-X xd/lib/version.Git=$(GIT_VERSION)" -tags='$(TAGS)' -o $(XD)

dev: webui
	$(GO) build -race -v -a -ldflags "-X xd/lib/version.Git=$(GIT_VERSION)" -tags='$(TAGS)' -o $(XD)

$(CLI): $(XD)
	$(RM) $(CLI)
	$(LINK) $(XD) $(CLI)
	$(CHMOD) 755 $(CLI)

test:
	$(GO) test ./...

clean: webui-clean go-clean
	$(RM) $(CLI)

distclean: clean clean-assets

clean-assets:
	$(RM) $(ASSETS)

webui-clean:
	$(RM) $(WEBUI_LOGO)
	$(MAKE) -C $(WEBUI) clean

go-clean:
	$(GO) clean

$(WEBUI_LOGO):
	$(CP) $(LOGOS)/xd_logo.png $(WEBUI_LOGO)

$(WEBUI_CORE): $(WEBUI_LOGO)
	$(MAKE) -C $(WEBUI)

webui: $(WEBUI_CORE)
	$(CP) $(WEB_FILES) $(REPO)/lib/rpc/assets/

no-webui:
	$(GO) build -ldflags "-X xd/lib/version.Git=$(GIT_VERSION)" -o $(XD)

install: $(XD) $(CLI)
	$(MKDIR) $(PREFIX)/bin
	$(INSTALL) XD $(PREFIX)/bin
	$(CPLINK) $(CLI) $(PREFIX)/bin

=== contrib/webui/Makefile ===
REPO := $(shell dirname $(realpath $(lastword $(MAKEFILE_LIST))))
CSS_ROOT = $(REPO)/css
JS_ROOT = $(REPO)/lib
DOC_ROOT = $(REPO)/docroot
CSS = $(DOC_ROOT)/xd.css
JS = $(DOC_ROOT)/xd.min.js

CAT = cat
RM = rm -f

NODE = $(shell which node || true)

all: build

build: $(CSS) $(JS)

$(CSS):
	$(CAT) $(CSS_ROOT)/*.css > $(CSS)

$(JS):
	$(CAT) $(JS_ROOT)/*.js > $(JS)

run:
	$(NODE) server.js

clean:
	$(RM) $(CSS) $(JS)

=== debian/changelog ===
xd (0.1.0~pre4-1) unstable; urgency=low

  * initial release 0.1.0-pre4

 -- r4sas <r4sas@i2pmail.org>  Fri, 16 Mar 2018 00:00:00 +0000

=== debian/control ===
Source: xd
Section: net
Priority: optional
Maintainer: r4sas <r4sas@i2pmail.org>
Build-Depends: debhelper (>= 9~),
               dh-apparmor,
               dpkg-dev (>= 1.16.1~),
               lsb-release,
               golang-go (>= 1.6) | golang-1.7-go | golang-1.6-go
Standards-Version: 3.9.6
Homepage: https://xd-torrent.github.io/
Vcs-Git: git://github.com/majestrate/XD.git
Vcs-Browser: https://github.com/majestrate/XD

Package: xd
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, lsb-base (>= 3.0-6), adduser
Suggests: i2pd, apparmor
Description: I2P BitTorrent Client written in GO
 .
 This package provides the daemon.

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

PREFIX=/usr

%:
	dh $@

override_dh_auto_install:
	mkdir -p debian/xd/etc/apparmor.d
	cp contrib/apparmor/usr.bin.XD debian/xd/etc/apparmor.d/usr.bin.XD
	dh_apparmor --profile-name=usr.bin.XD -pxd
	dh_auto_install

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/XD-$1\.tar\.gz/ \
  https://github.com/majestrate/XD/tags .*/v?(\d\S+)\.tar\.gz
